/*
 * This file is part of Jelie,
 * (c) 2002 Julien Pilet <julien.pilet@epfl.ch> and
 * Stephane Magnenat <stephane.magnenat@epfl.ch>
 *
 * Jelie is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * Jelie is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

.text
.global main
main:

	@ set GPIO 1 in input mode
	ldr r0, =0x40e00000
	mov r1, #0
	str r1, [ r0, #0xc ]

	@ set gpio 1 to alternate function, af = 01
	mov r1, #0x5
	str r1, [ r0, #0x54 ]

	@ set correct cccr 
	@ cf developper manual page 3-34
	@ bits 0-4: L=27 => 00001 
	@ bits 5-6: Multiplier=2 10
	@ bits 9-7: N=010
	ldr r0, =0x41300000
	ldr r1, =0b0101000001 @  = 0x141
	str r1, [r0]

	@ set CCLKCFG in CP 14, reg 6 to 0x02
	mov r1, #0x2
	mcr p14, 0, r1, c6, c0, 0
	nop
	nop
	nop
	bkpt #0
	nop
	nop
	nop


